View Issue Details

IDProjectCategoryView StatusLast Update
00033393 - Current Dev ListBugpublic2019-06-15 22:42
ReporterK7ZCZAssigned Todoug 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version6.5.0.207 
Target VersionFixed in Version6.6.0.228 
Summary0003339: License Manager Dialog doesn't edit content
DescriptionThe License Manager Dialog should enable or disable action buttons when invalid input or state is present.

The "Deactivate" button should not be enabled when a license hasn't been entered.

If the callsign is invalid, or blank; or if the license key field blank, the "Activate" button should be disabled.

Steps To Reproduce1) With no license active, start up HRD Logbook
2) The License Manager dialog is presented.

BUG#1) The "Activate" License button is enabled even though no valid license information is present.
BUG#2) The "Deactivate" button is enabled, even though no license is active on this computer.

TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
TestingNot Started

Activities

doug

2019-06-10 23:49

developer   ~0008039

changed buttons to activate properly
also made edit boxes ready only if activated (so user cant change Callsign)

WA9PIE

2019-06-15 12:52

administrator   ~0008083

Assigned back to Doug. Need FiV when the code is checked-in and next build is created.

Issue History

Date Modified Username Field Change
2019-06-09 19:23 K7ZCZ New Issue
2019-06-10 17:52 WA9PIE Assigned To => doug
2019-06-10 17:52 WA9PIE Status new => assigned
2019-06-10 23:49 doug Note Added: 0008039
2019-06-11 21:13 doug Assigned To doug => K7ZCZ
2019-06-13 12:06 WA9PIE Status assigned => resolved
2019-06-13 12:06 WA9PIE Resolution open => fixed
2019-06-13 12:06 WA9PIE Fixed in Version => 6.6.0.228
2019-06-13 12:06 WA9PIE Description Updated View Revisions
2019-06-13 12:06 WA9PIE Module (select) => QLM
2019-06-13 12:06 WA9PIE Sub-Module (select) => QLM Client
2019-06-15 10:42 WA9PIE Module QLM => SW License Mgmt
2019-06-15 10:42 WA9PIE Sub-Module QLM Client => SW License Client
2019-06-15 12:52 WA9PIE Assigned To K7ZCZ => doug
2019-06-15 12:52 WA9PIE Note Added: 0008083